package com.liang.service;

import com.liang.entity.PrjMember;
import com.liang.entity.StaSourceFee;
import com.liang.entity.StaTempmember;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 项目人员（主要完成人）(StaTempmember)表服务接口
 *
 * @author makejava
 * @since 2023-07-03 16:32:42
 */
public interface StaTempmemberService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaTempmember queryById(Integer id);

    /**
     * 分页查询
     *
     * @param staTempmember 筛选条件
     * @param pageRequest   分页对象
     * @return 查询结果
     */
    Page<StaTempmember> queryByPage(StaTempmember staTempmember, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staTempmember 实例对象
     * @return 实例对象
     */

    int insert(StaTempmember staTempmember);

    /**
     * 批量删除临时人员
     *
     * @param zb
     * @return
     */
    int batchDeleteByZb(int zb);

    /**
     * 修改数据
     *
     * @param staTempmember 实例对象
     * @return 实例对象
     */


    int update(StaTempmember staTempmember);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 批量插入项目人员
     *
     * @param memberList
     * @return
     */
    int insertBatch(List<StaTempmember> memberList);

    /**
     * 获取临时人员信息
     *
     * @param map
     * @return
     */
    List<StaTempmember> getMemberList(Map map);

    /**
     * 批量删除临时人员
     *
     * @param fysqList
     * @return
     */
    int batchDeleteByFysq(List<Integer> fysqList);

    /**
     * 获取临时人员信息
     *
     * @param map
     * @return
     */
    StaTempmember getTempMember(Map map);

    /**
     * 获取资料费列表
     *
     * @return
     */

    List<StaTempmember> getLSList(Integer zb);

    /**
     * 统计报表查询所有临时人员费
     *
     * @return
     */
    List<HashMap<String, Object>> getAllTemeMemberCost();

    /**
     * 通过条件查询临时费用信息
     *
     * @param MC        项目名称
     * @param SSBMNAME  临时人员姓名
     * @param SQRQStart 聘用起始日期
     * @param SQRQEnd   聘用截止日期
     * @param QSRQ      创建起始日期
     * @param JZRQ      创建结束日期
     * @return
     */
    List<HashMap<String, Object>> searchTemeMemberCost(Map map);

    StaTempmember getXm(Map map);

    /**
     * 获取全部临时日期存储数据
     * @param map
     * @return
     */
    List<StaTempmember> getAlls (Map map);

}
